% -------------------------------------------------------------------------
% Value function in the original in PSAD
% -------------------------------------------------------------------------
prob = [1-s s 0 ; f 0 1-f ; f 0 1-f];
U    = (((1-hF*exp(-muz0))*[ce ; ceu ; cuu]).^(1-sig))/(1-sig);
V1    = inv(eye(3)-betaW0*exp((1-sig)*muz0)*prob) *U;


phi         = 0 ;
% -------------------------------------------------------------------------
amin        = phi;
amax        = 70;      
nba         = 1000;      
a           = linspace(0,log(amax+1-amin),nba);
a           = exp(a)-1+amin;

N    = 3;
v0   = zeros(nba,N);
dr0  = zeros(nba,N);  
c    = zeros(nba,nba,N);
u0   = zeros(nba,nba,N);
vi0  = zeros(nba,nba,N);

tv   = zeros(1,nba);
tdr  = zeros(1,nba);

test    = 10;

e  = [1 0 0];
cW = [ce ceu cuu]*exp(-muz0); 

cnt = 0;
tol = 1e-5;
while test > tol 
    
   cnt = cnt + 1;

   for j=1:N

       c(:,:,j)  = (1-tau)*e(j)*w+(1-e(j))*bu0 + (1+r)*ones(nba,1)*a*exp(-muz0) - a'*ones(1,nba);
       u0(:,:,j) = ((c(:,:,j)-hF*cW(j)).^(1-sig))/(1-sig);
       u0j       = u0(:,:,j);
       % ------------------------------------------------------------------
       u0j(c(:,:,j)-hF*cW(j) <= 0) = -10000;
       u0(:,:,j) = u0j;
       % ------------------------------------------------------------------
       futval = sum((ones(nba,1)*prob(j,:)).*v0,2);
       % ------------------------------------------------------------------
       vi0(:,:,j) = u0(:,:,j) + betaW0*exp((1-sig)*muz0)*futval*ones(1,nba);
       [t1,t2] = max(vi0(:,:,j));
       tv(j,:) =t1;
       tdr(j,:)=t2;
   end
   tv1  = tv';
   tdr1 = tdr';
   test = max(max(abs(tv1-v0)));
   v0   = tv1;
   dr0  = tdr1;
   
   if round(cnt/10)==(cnt/10)
       fprintf('Iteration %d - test = %1.5f \n',cnt,test)
   end
end;

vpp = interp1(a,v0,'linear','pp');
tt1 = ppval(vpp,ae);
tt2 = ppval(vpp,0);
V2 = [tt1([1 2]); tt2(3)];

pistar = prob^500;
pistar = pistar(1,:);

ValueFamily = pistar*V1;
ValueAlone  = pistar*V2;