load restrictedData
% -------------------------------------------------------------------------
%
%         I.  I N F O R M A T I O N  O N  T H E  D A T E S
%
% -------------------------------------------------------------------------
% I.A. Date vector for the full sample
% -------------------------------------------------------------------------
fulldate  = date;
fulls     = find(fulldate==1983.0);
fullf     = find(fulldate==2012.5);
splshocks = fulls:fullf;
% -------------------------------------------------------------------------
% I.B. Generate strings for dates
% -------------------------------------------------------------------------
quarterIndex = [0 .25 .50 .75];
quarterCell = {'Q1','Q2','Q3','Q4'};
celltick = cell(length(date),1);
for iter=1:length(date)
    yearStr = [num2str(floor(date(iter))),...
        quarterCell{date(iter)-floor(date(iter))==quarterIndex}];
    celltick{iter} = yearStr;
end

% ---------------------------------------------------------------------
%
%           II. R E T R I E V E  I N F O R M% A T I O N
%
% ---------------------------------------------------------------------
% II.A Load estimation results
% ---------------------------------------------------------------------
load fullModelSmoother_results
% ---------------------------------------------------------------------
% II.B Some useful basics
% ---------------------------------------------------------------------
name = M_.endo_names;
nvar = size(name,1);
for ii=1:nvar
    eval([deblank(name(ii,:)),'_i = ',num2str(ii),';']);
end

cnd1 = oo_.SmoothedVariables.cndreduc1_IM + oo_.steady_state(cndreduc1_IM_i);
cnd2 = oo_.SmoothedVariables.cndreduc2_IM + oo_.steady_state(cndreduc2_IM_i);
ae   = oo_.SmoothedVariables.ae_IM+oo_.steady_state(ae_IM_i);

figure(1)
subplot(2,4,1:2)
hp = plot(date,cnd1);
set(hp,'linewidth',2,'color',[0 .3 1])
set(gca,'box','off','fontname','times','layer','top')
tit = title('$1-E_X[M^{W}(1,X,X^\prime)(1+r\prime)] \geq 0$');
set(tit,'interpreter','latex')
grid


subplot(2,4,3:4)
hp = plot(date,cnd2);
set(hp,'linewidth',2,'color',[0 .3 1])
set(gca,'box','off','fontname','times','layer','top')
tit = title('$1-E_X[M^{W}(2,X,X^\prime)(1+r\prime)] \geq 0$');
set(tit,'interpreter','latex')
grid


subplot(2,4,6:7)
hp = plot(date,ae);
set(hp,'linewidth',2,'color',[0 .3 1])
set(gca,'box','off','fontname','times','layer','top') %,'ylim',[.3 .7]
tit = title('$a^W(0,X) \geq 0$');
set(tit,'interpreter','latex')
grid

set(gcf,'PaperType','<custom>','PaperSize',[20.4 15.25],'PaperPosition',[0    0.0000   20.4000   15.2500]);
print(gcf,'-dpdf','..\..\TEXFILES\FIGURES\figureEquilibriumReductionConditionCounterFactual.pdf')
