// SW-like model with precautionary savings, labor market search
//
// Please, refer to the technical appendix for further details
//
// CMRR - Latest version: 27/01/2014

addpath ..\DATA;
addpath ..\UTILITIES;

// --------------------------------------------------------------------
//  D E F I N E  M O D E L  T Y P E
// --------------------------------------------------------------------
@#define incompleteMarkets = 1
// Takes value 1 if markets are incomplete (Omega = 0.6)
// Takes value 0 if markets are complete (Omega=0)

// --------------------------------------------------------------------
//  D E C L A R A T I O N  B L O C K
// --------------------------------------------------------------------
@#include "..\MODEL\fullDeclarationBlock.mod"

// --------------------------------------------------------------------
//  C A L I B R A T I O N  B L O C K
// --------------------------------------------------------------------
@#for name in [ "c", "w", "i", "p", "R", "z", "s", "a", "me", "m", "t"]
    rho@{name} = 0;
    sig@{name} = 0;
@#endfor
@#include "..\MODEL\calibrationBlock.mod"
@#include "..\ESTIMATION\psadImVer4McmcEstimParameters.m"


// --------------------------------------------------------------------
//  M O D E L  B L O C K
// --------------------------------------------------------------------
@#include "..\MODEL\fullModelBlock.mod"

steady;
check;

//stoch_simul(irf=0,order=1,nodisplay,nograph,noprint);
varobs dI_o dC_o sh60_o dP_o R_o dW_o s_o f_o;

calib_smoother(datafile=restrictedData);

name = M_.endo_names;
nvar = size(name,1);
for ii=1:nvar
    eval([deblank(name(ii,:)),'_i = ',num2str(ii),';']);
end