% plotTheData.m
%
% Plots the data

% ------------------------------------------------------------------------
%
% 1. Load the first set of data in which G is counted in C
%
% ------------------------------------------------------------------------
x1 = load('estimationData');

date     = x1.date;
smp      = find(date==1983):find(date<2012.75, 1, 'last' );

varnames = {'dC_o','dI_o','sh60_o','dW_o','dP_o','R_o','s_o','f_o'};
labels   = {'Consumption Growth','Investment Growth',...
    'Consumption Share of the 60% Poorest','Wage Inflation',...
    'Inflation','Nominal Interest Rate','Separation Rate',...
    'Job Finding Rate'};

figure
for iter = 1:length(varnames)
    subplot(3,3,iter)
    hp = plot(date(smp),x1.(varnames{iter})(smp));
    set(hp,'linewidth',3,'color',[0.30 0.40 0.60])
    set(gca,'fontname','times','xlim',[1975 2015],'XMinorTick','on')
    xlb = xlabel('Sample Period');
    set(xlb,'fontsize',12)
    ylb = ylabel('Percentage');
    set(ylb,'fontsize',12)
    tit = title(labels{iter});
    set(tit,'fontsize',12)
end

set(gcf,'PaperType','<custom>','PaperSize',[20.98 15.3],...
    'PaperPosition',[0.634518 0.07158 20.3046 15.2284]);
print(gcf, '-dpdf','figureData.pdf')


