// --------------------------------------------------------------------
//  V A R I A B L E  D E C L A R A T I O N
// --------------------------------------------------------------------
var
// --------------------------------------------------------------------
// model variables
// --------------------------------------------------------------------
@#for name in [ "IM","HM"]
    r_@{name} R_@{name} MF_@{name} MW_@{name} lamF_@{name} lame_@{name} 
    lameu_@{name} cF_@{name} ce_@{name} ceu_@{name} cuu_@{name} aF_@{name}
    ae_@{name} Ae_@{name} Je_@{name} lambda_@{name} m_@{name} v_@{name} 
    s_@{name} f_@{name} n_@{name} neu_@{name} nuu_@{name} rho_@{name}
    k_@{name} i_@{name} u_@{name} y_@{name} ym_@{name} rk_@{name} 
    pk_@{name} w_@{name} q_@{name} tau_@{name} pm_@{name} Kp_@{name} 
    Fp_@{name} pstar_@{name} Delta_@{name} pi_@{name} c_@{name}
    c40_@{name} c60_@{name} s60_@{name} cndreduc1_@{name} cndreduc2_@{name} 
    lamuu_@{name} cndw_@{name} lc_@{name} li_@{name} ly_@{name} 
    lc60_@{name} lc40_@{name} lw_@{name} linv_@{name} Ra_@{name} 
    lcHtM_@{name}
@#endfor
// --------------------------------------------------------------------
// shocks
// --------------------------------------------------------------------
@#for name in [ "c", "w", "i", "p", "R", "z", "s", "t", "me", "m" ]
    fi@{name}
@#endfor
// --------------------------------------------------------------------
// observables
// --------------------------------------------------------------------
R_o sh60_o dC_o dI_o dY_o dP_o dW_o s_o f_o ds_o df_o

;


// --------------------------------------------------------------------
//  E X O G E N O U S  V A R I A B L E  D E C L A R A T I O N
// --------------------------------------------------------------------
varexo
@#for name in [ "c", "w", "i", "p", "R", "z", "s", "t", "me", "m" ]
    eps@{name} $\epsilon_{@{name}}$
@#endfor
;

// --------------------------------------------------------------------
//  P A R A M E T E R S  D E C L A R A T I O N
// --------------------------------------------------------------------
parameters
// --------------------------------------------------------------------
// structural parameters
// --------------------------------------------------------------------
sig $\sigma$ delta $\delta$ theta $\theta$ chi $\chi$ hF $h$ Omega $\Omega$
kv_y ceu_ce
lsh reprat
nu $\nu_u$ ni $\nu_i$ alpha $\alpha$ gammap $\gamma_p$ 
gammaw $\gamma_w$ psin $\psi_n$
rhoTR $\rho$ api $a_\pi$ ay $a_y$
cstP cstW cstY cstR cstf csts cstdf cstds csts60 lambdaHP
// --------------------------------------------------------------------
// shocks
// --------------------------------------------------------------------
@#for name in [ "c", "w", "i", "p", "R", "z", "s", "t", "me", "m" ]
    rho@{name} $\rho_{@{name}}$ sig@{name} $\sigma_{@{name}}$
@#endfor
;

