// SW-like model with precautionary savings, labor market search
//
// Please, refer to the technical appendix for further details
//
// In this Dynare file, both HM & IM are simulated at once, imposing
// stictly the IM parameters in HM
//
// CMRR - Latest version: 6/12/2014

addpath ..\DATA;
addpath ..\UTILITIES;

// --------------------------------------------------------------------
//  D E F I N E  M O D E L  T Y P E
// --------------------------------------------------------------------
@#define incompleteMarkets = 1
// Takes value 1 if markets are incomplete (Omega = 0.6)
// Takes value 0 if markets are complete (Omega=0)

// --------------------------------------------------------------------
//  D E C L A R A T I O N  B L O C K
// --------------------------------------------------------------------
@#include "..\MODEL\fullDeclarationBlock.mod"

// --------------------------------------------------------------------
//  C A L I B R A T I O N  B L O C K
// --------------------------------------------------------------------
@#for name in [ "c", "w", "i", "p", "R", "z", "s", "me", "m", "pi", "t", "a"]
    rho@{name} = 0;
    sig@{name} = 1;
@#endfor
@#include "..\MODEL\calibrationBlock.mod"
@#include "..\ESTIMATION\psadImVer4McmcEstimParameters.m"
// --------------------------------------------------------------------
//  C A L I B R A T I O N  O V E R I D E
// --------------------------------------------------------------------
gammap = 0;
alpha  = 0.05;

// --------------------------------------------------------------------
//  M O D E L  B L O C K
// --------------------------------------------------------------------
@#include "..\MODEL\fullModelBlock.mod"


stoch_simul(irf=40,order=1,nodisplay,nograph,noprint);