% PROGRAM: doGraphIrfsComparison.m
%
% Create IRFs from the baseline point estimte for IM
% (Y,C,I,dP) to (epsR,epsc,epsz,epss) under
% - sticky prices & wages
% - just sticky wages

clear all; close all; clc

z1 = load('..\SIMULATION2\fullModelSimul_results'); %baseline
z3 = load('..\SIMULATION2\fullModelFlexSimul_results');% flex good only


Hor = 1:21;

figure
X = [z1.oo_.irfs.ly_IM_epst(Hor)',...
    z1.oo_.irfs.ly_HM_epst(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','--')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('GDP - Sticky-Price Economy');
set(tit,'fontname','times','fontsize',14);
legend('IM','HM')
axis tight

figure
X = [z3.oo_.irfs.ly_IM_epst(Hor)',...
    z3.oo_.irfs.ly_HM_epst(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','--')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('GDP - Flexible-Price Economy');
set(tit,'fontname','times','fontsize',14);
legend('IM','HM')
axis tight

return
% ----------------------------------------------------------
% I R F  T O  A  T E C H N O L O G Y  S H O C K - S T I C K Y
% ----------------------------------------------------------
figure
subplot(3,2,1)
X = [z1.oo_.irfs.lc_IM_epsz(Hor)'+cumsum(z1.oo_.irfs.fiz_epsz(Hor)'),...
    z1.oo_.irfs.lc_HM_epsz(Hor)'+cumsum(z1.oo_.irfs.fiz_epsz(Hor)')];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('Consumption');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,2)
X = [z1.oo_.irfs.linv_IM_epsz(Hor)'+cumsum(z1.oo_.irfs.fiz_epsz(Hor)'),...
    z1.oo_.irfs.linv_HM_epsz(Hor)'+cumsum(z1.oo_.irfs.fiz_epsz(Hor)')];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('Investment');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,3)
X = [z1.oo_.irfs.f_IM_epsz(Hor)',...
    z1.oo_.irfs.f_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Job-finding rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,4)
X = [z1.oo_.irfs.s_IM_epsz(Hor)',...
    z1.oo_.irfs.s_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Job-loss rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,5)
X = [z1.oo_.irfs.n_IM_epsz(Hor)',...
    z1.oo_.irfs.n_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Employment rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,6)
X = [z1.oo_.irfs.pi_IM_epsz(Hor)',...
    z1.oo_.irfs.pi_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Inflation');
set(tit,'fontname','times','fontsize',14);
axis tight

% ----------------------------------------------------------
% I R F  T O  A  T E C H N O L O G Y  S H O C K - F L E X
% ----------------------------------------------------------
figure
subplot(3,2,1)
X = [z3.oo_.irfs.lc_IM_epsz(Hor)'+cumsum(z3.oo_.irfs.fiz_epsz(Hor)'),...
    z3.oo_.irfs.lc_HM_epsz(Hor)'+cumsum(z3.oo_.irfs.fiz_epsz(Hor)')];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('Consumption');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,2)
X = [z3.oo_.irfs.linv_IM_epsz(Hor)'+cumsum(z3.oo_.irfs.fiz_epsz(Hor)'),...
    z3.oo_.irfs.linv_HM_epsz(Hor)'+cumsum(z3.oo_.irfs.fiz_epsz(Hor)')];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Percent deviation')
tit = title('Investment');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,3)
X = [z3.oo_.irfs.f_IM_epsz(Hor)',...
    z3.oo_.irfs.f_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Job-finding rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,4)
X = [z3.oo_.irfs.s_IM_epsz(Hor)',...
    z3.oo_.irfs.s_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Job-loss rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,5)
X = [z3.oo_.irfs.n_IM_epsz(Hor)',...
    z3.oo_.irfs.n_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Employment rate');
set(tit,'fontname','times','fontsize',14);
axis tight

subplot(3,2,6)
X = [z3.oo_.irfs.pi_IM_epsz(Hor)',...
    z3.oo_.irfs.pi_HM_epsz(Hor)'];
hp = plot(Hor-1,100*X);
set(hp,'linewidth',2)
set(hp(1),'color',[.5 .0 .0],'linestyle','-')
set(hp(2),'color',[.5 .5 .5],'linestyle','-')
set(gca,'fontname','times','box','off','fontsize',14)
ylabel('Deviation')
tit = title('Inflation');
set(tit,'fontname','times','fontsize',14);
axis tight

% set(gcf,'PaperType','<custom>','PaperSize',[20.4 15.25],'PaperPosition',[0    0.0000   20.4000   15.2500]);
% print(gcf,'-dpdf','..\..\texfiles\Figures\figureIrfComparisonNomEpsZ.pdf')

