function s = hpFilter(y,w)
% HPFILTER 
%   y: original data, w: smoothing coeff, s: filtered series

[m,n] = size(y);
if m < n
    y = y';
    m = n;
end

d        = repmat([w -4*w ((6*w+1)/2)],m,1);
d(1,2)   = -2*w ;
d(1,3)   = (1+w)/2;
d(2,3)   = (5*w+1)/2;
d(m-1,2) = -2*w;
d(m,3)   = (1+w)/2;
d(m-1,3) = (5*w+1)/2;

B = spdiags(d,-2:0,m,m);
B = B + B';
s = B\y;

end

